export default class Database {
    static WebSocket: typeof WebSocket;
    private initLock;
    private socket;
    private requests;
    private eventhandler;
    constructor(url: string, database: string, accesskey?: string, authkey?: string, rootkey?: string);
    private handleResponse;
    private handleEvent;
    private queryRequest;
    keys(path: string | string[]): Promise<any>;
    get<T = any>(path: string | string[]): Promise<T>;
    set(path: string | string[], data: any): Promise<any>;
    push(path: string | string[], data: any): Promise<string>;
    subscribe(path: string | string[], type: "push" | "set", ondata: (data: any) => void): Promise<{
        unsubscribe: () => void;
    }>;
}
